from enum import Enum

class Events(Enum):
  ADD_PEER = "ADD_PEER"
  REMOVE_PEER = "REMOVE_PEER"
  ADD_PRODUCER = "ADD_PRODUCER"
  UPDATE_PRODUCER = "UPDATE_PRODUCER"
  REMOVE_PRODUCER = "REMOVE_PRODUCER"
  ADD_CONSUMER = "ADD_CONSUMER"
  REMOVE_CONSUMER = "REMOVE_CONSUMER"
  PARTICIPANT_MEDIA_STATE_CHANGED = "PARTICIPANT_MEDIA_STATE_CHANGED"
  CHAT_MESSAGE = "CHAT_MESSAGE"
  SET_ROOM_ACTIVE_SPEAKER = "SET_ROOM_ACTIVE_SPEAKER"
  ENTRY_REQUESTED = "ENTRY_REQUESTED"
  ENTRY_RESPONDED = "ENTRY_RESPONDED"
  MEETING_JOINED = "MEETING_JOINED"
  MEETING_LEFT = "MEETING_LEFT"
  RECORDING_STATE_CHANGED = "RECORDING_STATE_CHANGED"
  RECORDING_STARTED = "RECORDING_STARTED"
  RECORDING_STOPPED = "RECORDING_STOPPED"
  LIVESTREAM_STATE_CHANGED = "LIVESTREAM_STATE_CHANGED"
  LIVESTREAM_STARTED = "LIVESTREAM_STARTED"
  LIVESTREAM_STOPPED = "LIVESTREAM_STOPPED"
  HLS_STATE_CHANGED = "HLS_STATE_CHANGED"
  HLS_STARTED = "HLS_STARTED"
  HLS_STOPPED = "HLS_STOPPED"
  TRANSCRIPTION_STATE_CHANGED = "TRANSCRIPTION_STATE_CHANGED"
  TRANSCRIPTION_TEXT = "TRANSCRIPTION_TEXT"
  WHITEBOARD_STARTED = "WHITEBOARD_STARTED"
  WHITEBOARD_STOPPED = "WHITEBOARD_STOPPED"
  VIDEO_STATE_CHANGED = "VIDEO_STATE_CHANGED"
  VIDEO_SEEKED = "VIDEO_SEEKED"
  PIN_STATE_CHANGED = "PIN_STATE_CHANGED"
  MIC_REQUESTED = "MIC_REQUESTED"
  WEBCAM_REQUESTED = "WEBCAM_REQUESTED"
  CONNECTION_OPEN = "CONNECTION_OPEN"
  CONNECTION_CLOSE = "CONNECTION_CLOSE"
  CONNECTION_PARTICIPANT_JOIN = "CONNECTION_PARTICIPANT_JOIN"
  SWITCH_ROOM = "SWITCH_ROOM"
  CONNECTION_CHAT_MESSAGE = "CONNECTION_CHAT_MESSAGE"
  CONNECTION_PARTICIPANT_LEFT = "CONNECTION_PARTICIPANT_LEFT"
  PUBSUB_MESSAGE = "PUBSUB_MESSAGE"
  PEER_MODE_CHANGED = "PEER_MODE_CHANGED"
  MEETING_STATE_CHANGED = "MEETING_STATE_CHANGED"
  VIDEO_QUALITY_CHANGED = "VIDEO_QUALITY_CHANGED"
  ADD_CHARACTER = "ADD_CHARACTER"
  INIT_CHARACTER = "INIT_CHARACTER"
  REMOVE_CHARACTER = "REMOVE_CHARACTER"
  CHARACTER_STATE_CHANGED = "CHARACTER_STATE_CHANGED"
  CHARACTER_TEXT = "CHARACTER_TEXT"
  ERROR = "ERROR"


class VideoSDKEvents(Enum):
  EV_ERROR = "error"
  EV_MEETING_JOINED = "meeting-joined"
  EV_MEETING_LEFT = "meeting-left"
  EV_PARTICIPANT_MODE_CHANGED = "participant-mode-changed"
  EV_PARTICIPANT_JOINED = "participant-joined"
  EV_PARTICIPANT_LEFT = "participant-left"
  EV_SPEAKER_CHANGED = "speaker-changed"
  EV_PRESENTER_CHANGED = "presenter-changed"
  EV_MAIN_PARTICIPANT_CHANGED = "main-participant-changed"
  EV_CHAT_MESSAGE = "chat-message"
  EV_ENTRY_REQUESTED = "entry-requested"
  EV_ENTRY_RESPONDED = "entry-responded"
  EV_RECORDING_STATE_CHANGED = "recording-state-changed"
  EV_RECORDING_STARTED = "recording-started"
  EV_RECORDING_STOPPED = "recording-stopped"
  EV_LIVESTREAM_STATE_CHANGED = "livestream-state-changed"
  EV_LIVESTREAM_STARTED = "livestream-started"
  EV_LIVESTREAM_STOPPED = "livestream-stopped"
  EV_HLS_STATE_CHANGED = "hls-state-changed"
  EV_HLS_STARTED = "hls-started"
  EV_HLS_STOPPED = "hls-stopped"
  EV_WHITEBOARD_STARTED = "whiteboard-started"
  EV_WHITEBOARD_STOPPED = "whiteboard-stopped"
  EV_VIDEO_STATE_CHANGED = "video-state-changed"
  EV_VIDEO_SEEKED = "video-seeked"
  EV_MIC_REQUESTED = "mic-requested"
  EV_WEBCAM_REQUESTED = "webcam-requested"
  
  EV_PIN_STATE_CHANGED = "pin-state-changed"

  EV_CONNECTION_OPEN = "connection-open"
  EV_CONNECTION_CLOSE = "connection-close"
  EV_SWITCH_MEETING = "switch-meeting"

  EV_MEETING_STATE_CHANGE = "meeting-state-changed"

  EV_TRANSCRIPTION_STATE_CHANGED = "transcription-state-changed"
  EV_TRANSCRIPTION_TEXT = "transcription-text"

  EV_CHARACTER_JOINED = "character-joined"
  EV_CHARACTER_LEFT = "character-left"
  
  # Participant 
  EV_STREAM_ENABLED = "stream-enabled"
  EV_STREAM_DISABLED = "stream-disabled"
  EV_MEDIA_STATUS_CHANGED = "media-status-changed"
  EV_VIDEO_QUALITY_CHANGED = "video-quality-changed"